// -*- c++ -*-
/***************************************************************************
                           Greedy2Frame.h
                           --------------
    begin                : Fri Jun 18 2004
    copyright            : (C) 2004 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 */

#ifndef GREEDY2FRAME_H
#define GREEDY2FRAME_H

#include <kdetvfilterplugin.h>

class QSpinBox;

class Greedy2FramePlugin : public KdetvFilterPlugin
{
    Q_OBJECT

public:
    Greedy2FramePlugin(Kdetv* ktv, const QString& cfgkey, QObject* parent = 0, const char* name=0);
    virtual ~Greedy2FramePlugin();

    virtual QWidget* configWidget(QWidget *parent, const char *name);
    virtual void saveConfig();


private slots:
    void defaults();


private:
    QSpinBox* _spLuma;
    QSpinBox* _spChroma;
};

#endif // GREEDY2FRAME_H
